using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Diagnostics.CodeAnalysis;

namespace Api.Database.Entities;

[Table("Seasons")]
public class Season : BaseEntity
{
    [Column("Name")]
    [NotNull]
    [MaxLength(20)]
    public string? Name { get; set; }

    [Column("StartDate")]
    [NotNull]
    public DateOnly StartDate { get; set; }

    [Column("EndDate")]
    [NotNull]
    public DateOnly EndDate { get; set; }
}
